{% extends 'dataview.html.twig' %}
{% import 'macro/_forms.html.twig' as macro %}

{% block pageTitle "Liste des co-responsable de mon entité" %}

{% block pageActions %}
    <div class="row col-md-12">
        {{ macro.dissocierMultipleButtonModal(
            'btn_dissociation',
            'Dissocier un ou plusieurs co-responsable de l\'entité',
            'app_coresponsable_dissociation_multiple',
            'Voulez-vous vraiment dissocier les différents co-responsable de l\'entité ?',
            coresponsables.currentPageNumber
        ) }}
    </div>
{% endblock %}

{% block pageTable %}
    <table class="table table-striped table-hover">
        <thead>
            <tr>
                <th scope="col">
                    <input id="allCheckbox" type="checkbox"/>
                </th>
                <th scope="col">Structure</th>
                <th scope="col">Représentant légale</th>
                <th scope="col">Information sur le DPO</th>
                <th scope="col">Actions</th>
            </tr>
        </thead>
        <tbody>
            {% for coresponsable in coresponsables %}
                <tr>
                    <th>
                        {% if (app.user.currentOrganisation not in coresponsable.organisations)  %}
                            {% set dissociation = 'false' %}
                        {% else %}
                            {% set dissociation = 'true' %}
                        {% endif %}

                        <input id='checkbox-{{ coresponsable.id }}' type="checkbox"
                               class="js-checkbox allCheckbox" value="{{ coresponsable.id }}"
                               data-dissociation="{{ dissociation }}">
                    </th>

                    <th>
                        {{ coresponsable.raisonsociale }}

                        {% if (coresponsable.siret is not empty) or (coresponsable.email is not empty) or (coresponsable.phone is not empty) %}
                            <ul>
                                {% if (coresponsable.siret is not empty) %}
                                    <li>Siret : {{ coresponsable.siret }}</li>
                                {% endif %}

                                {% if (coresponsable.email is not empty) %}
                                    <li>E-mail : {{ coresponsable.email }}</li>
                                {% endif %}

                                {% if (coresponsable.phone is not empty) %}
                                    <li>Téléphone fixe : {{ coresponsable.phone }}</li>
                                {% endif %}
                            </ul>
                        {% endif %}
                    </th>

                    <th>
                        {% if (coresponsable.representant is not empty) %}
                            {{ coresponsable.representant.getNomcomplet }}

                            {% if (coresponsable.representant.function is not empty) or (coresponsable.representant.email is not empty) or (coresponsable.representant.phone is not empty) %}
                                <ul>
                                    {% if (coresponsable.representant.function is not empty) %}
                                        <li>Fonction : {{ coresponsable.representant.function }}</li>
                                    {% endif %}

                                    {% if (coresponsable.representant.email is not empty) %}
                                        <li>E-mail : {{ coresponsable.representant.email }}</li>
                                    {% endif %}

                                    {% if (coresponsable.representant.phone is not empty) %}
                                        <li>Téléphone fixe : {{ coresponsable.representant.phone }}</li>
                                    {% endif %}
                                </ul>
                            {% endif %}
                        {% endif %}
                    </th>

                    <th>
                        {% if (coresponsable.delegue is not empty) %}
                            {{ coresponsable.delegue.getNomcomplet }}

                            {% if (coresponsable.delegue.email is not empty) or (coresponsable.delegue.numberCnil is not empty) or (coresponsable.delegue.cellphone is not empty) or (coresponsable.delegue.phone is not empty) %}
                                <ul>
                                    {% if (coresponsable.delegue.email is not empty) %}
                                        <li>E-mail : {{ coresponsable.delegue.email }}</li>
                                    {% endif %}

                                    {% if (coresponsable.delegue.numberCnil is not empty) %}
                                        <li>Numéro CNIL : {{ coresponsable.delegue.numberCnil }}</li>
                                    {% endif %}

                                    {% if (coresponsable.delegue.cellphone is not empty) %}
                                        <li>Téléphone portable : {{ coresponsable.delegue.cellphone }}</li>
                                    {% endif %}

                                    {% if (coresponsable.delegue.phone is not empty) %}
                                        <li>Téléphone fixe : {{ coresponsable.delegue.phone }}</li>
                                    {% endif %}
                                </ul>
                            {% endif %}
                        {% endif %}
                    </th>

                    <th>
                        {{ macro.dissocierButtonModal(
                            coresponsable.id,
                            'Dissociation du co-responsable de l\'entité',
                            'app_coresponsable_dissociation',
                            'Voulez-vous vraiment dissocier ce co-responsable ?',
                            coresponsables.currentPageNumber
                        ) }}
                    </th>
                </tr>
            {% endfor %}
        </tbody>
    </table>
{% endblock %}

{% block pagePagination knp_pagination_render(coresponsables) %}

{% block javascripts %}
    {{ encore_entry_script_tags('selectAllCheckbox') }}
{% endblock %}
